/******************************************************************************************
	CRTEST PS   (c) 1999-2001 ISL

	menu.h:			Simple Menu
******************************************************************************************/

#ifndef _LEVFLOW_H_
#define _LEVFLOW_H_

#define GAMECALLEDFROM_GAME		0
#define GAMECALLEDFROM_REPLAY	1
#define GAMECALLEDFROM_DEBUG	2

extern int gameCalledFrom;
extern int subgameCalledFrom;

void levflowCheatAllVids();
void levflowCheatAllLevs();
void levflowCheatEggs();


void levflowSortOutFowlersDoor();


#ifdef GAME_SHOW_DEMO
void levflowA1Skip_Coops();
void levflowA1Skip_Housext();
void levflowA1Skip_Garden();

void levflowA2Skip_Coops();
void levflowA2Skip_Housext();
void levflowA2Skip_Garden();
void levflowA2Skip_ToolExt();
void levflowA2Skip_OldBarn();
void levflowA2Skip_Toolshed();

void levflowA4Skip_Coops();
void levflowA4Skip_Housext();
void levflowA4Skip_Toolext();
void levflowA4Skip_Oldbarn();
void levflowA4Skip_Kitchen();
void levflowA4Skip_Toolshed();
void levflowA4Skip_Piebarn();

#endif



void levflowAct1FromOptions();
void levflowAct2FromOptions();
void levflowAct3FromOptions();

void levflowAct2FromDogchase(void);
void levflowDogchaseDied();

void levflowCheatToManniquin();
void levflowDogchaseFromGame();
void levflowDogchaseStart();

void levflowDogchaseRestart();
void levflowDogchaseFail();
void levflowDogchaseSuccess();


	

void levflowCheatToCatapult();
void levflowCheatToFireworks();
void levflowCheatToSeesaw();
void levflowCheatToCogChase();

void act2SubgameComplete(char *workhutname);
void levflowCogchaseFromGame();
void levflowCogchaseStart();
void levflowCogchaseSuccess();



void levflowCheatToConstruct();
void levflowCheatToEngine();
void levflowCheatToWings();
void levflowCheatToCrate();


void act4SubgameComplete(char *workhutname);

void levflowFlymachineFromGame();
void levflowFlymachineStart();

void levflowResetAct1GamePlay();
void levflowResetAct2GamePlay();
void levflowResetAct3GamePlay();

// Required by card.c
int levflowSplashDrawOnly();
void levflowSplashSaveReturn();


#endif
